# Created by pyp2rpm-3.3.3
%global pypi_name receptor-satellite

Name:           python-%{pypi_name}
Version:        1.3.2
Release:        1%{?dist}
Summary:        Receptor Satellite Worker Plugin

License:        ASL 2.0
URL:            https://github.com/project-receptor/%{pypi_name}
Source0:	http://dogfood.sat.engineering.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_9_Source_Files/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
 receptor-satellite Receptor Satellite Worker Plugin

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-aiohttp
Requires:       python3-setuptools
Requires:       receptor
Provides:       receptor-satellite

%description -n python3-%{pypi_name}
 receptor-satellite Receptor Satellite Worker Plugin


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/receptor_satellite
%{python3_sitelib}/receptor_satellite-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Mar 11 2021 Patrick Creech <pcreech@redhat.com> - 1.3.2-1
- Release python-receptor-satellite 1.3.2

* Wed Feb 24 2021 Zach Huntinton-Meath <zhunting@redhat.com> = 1.3.1-1
- Update to 1.3.1

* Tue Dec 22 2020 Zach Huntinton-Meath <zhunting@redhat.com> = 1.3.0-1
- Update to 1.3.0

* Mon Sep 21 2020 Adam Ruzicka <aruzicka@redhat.com> = 1.2.0-1
- Update to 1.2.0

* Mon Aug 3 2020 Adam Ruzicka <aruzicka@redhat.com> = 1.1.1-1
- Update to 1.1.1

* Tue Jun 23 2020 Adam Ruzicka <aruzicka@redhat.com> = 1.1.0-1
- Update to 1.1.0

* Mon Jun 8 2020 Adam Ruzicka <aruzicka@redhat.com> = 1.0.2-1
- Update to 1.0.2

* Mon Jun 8 2020 Adam Ruzicka <aruzicka@redhat.com> = 1.0.1-2
- Change source to reflect upstream repository change

* Wed Mar 11 2020 Eric D. Helms <ericdhelms@gmail.com> - 1.0.1-1
Update to 1.0.1

* Thu Feb 27 2020 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0-3
- Build latest master

* Wed Feb 19 2020 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0-2
- Update to latest HEAD of git

* Fri Jan 10 2020 Evgeni Golov - 1.0.0-1
- Initial package.
